summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJan Lindström <jan.lindstrom@mariadb.com>2018-01-24 10:31:00 +0200
committerGitHub <noreply@github.com>2018-01-24 10:31:00 +0200
commit72542ffd776a3f69c4705eac28a88e7efeeaa840 (patch)
tree74d85cf82897ba9b38ca8a574ef1a4f128ad1efb
parentf4d798635ea294aadfe1961ea44c5c6a4350b267 (diff)
parentc73b4b169861d76e4e98443d300dfed70907b1d8 (diff)
downloadmariadb-git-72542ffd776a3f69c4705eac28a88e7efeeaa840.tar.gz
Merge pull request #550 from grooverdan/10.1-wsrep_sst_mysqldump-no-max-version
MDEV-15045 - wsrep_sst_mysqldump: enforce a minimum version only
-rw-r--r--scripts/wsrep_sst_mysqldump.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/scripts/wsrep_sst_mysqldump.sh b/scripts/wsrep_sst_mysqldump.sh
index f086d9873d0..6addb5d21ea 100644
--- a/scripts/wsrep_sst_mysqldump.sh
+++ b/scripts/wsrep_sst_mysqldump.sh
@@ -57,10 +57,10 @@ then
fi
# Check client version
-if ! $MYSQL_CLIENT --version | grep 'Distrib 10.1' >/dev/null
+if ! $MYSQL_CLIENT --version | grep 'Distrib 10\.[1-9]' >/dev/null
then
$MYSQL_CLIENT --version >&2
- wsrep_log_error "this operation requires MySQL client version 10 or newer"
+ wsrep_log_error "this operation requires MySQL client version 10.1 or newer"
exit $EINVAL
fi